package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnFirstplanTmplMapper;
import com.ruoyi.project.training.newstaff.domain.TTnFirstplanTmpl;
import com.ruoyi.project.training.newstaff.service.ITTnFirstplanTmplService;

/**
 * 进组培训模版Service业务层处理
 *
 * @author ruoyi
 * @date 2023-06-29
 */
@Service
public class TTnFirstplanTmplServiceImpl implements ITTnFirstplanTmplService
{
    @Autowired
    private TTnFirstplanTmplMapper tTnFirstplanTmplMapper;

    /**
     * 查询进组培训模版
     *
     * @param id 进组培训模版ID
     * @return 进组培训模版
     */
    @Override
    public TTnFirstplanTmpl selectTTnFirstplanTmplById(Long id)
    {
        return tTnFirstplanTmplMapper.selectTTnFirstplanTmplById(id);
    }

    /**
     * 查询进组培训模版列表
     *
     * @param tTnFirstplanTmpl 进组培训模版
     * @return 进组培训模版
     */
    @Override
    public List<TTnFirstplanTmpl> selectTTnFirstplanTmplList(TTnFirstplanTmpl tTnFirstplanTmpl)
    {
        return tTnFirstplanTmplMapper.selectTTnFirstplanTmplList(tTnFirstplanTmpl);
    }

    /**
     * 新增进组培训模版
     *
     * @param tTnFirstplanTmpl 进组培训模版
     * @return 结果
     */
    @Override
    public int insertTTnFirstplanTmpl(TTnFirstplanTmpl tTnFirstplanTmpl)
    {
        return tTnFirstplanTmplMapper.insertTTnFirstplanTmpl(tTnFirstplanTmpl);
    }

    /**
     * 修改进组培训模版
     *
     * @param tTnFirstplanTmpl 进组培训模版
     * @return 结果
     */
    @Override
    public int updateTTnFirstplanTmpl(TTnFirstplanTmpl tTnFirstplanTmpl)
    {
        return tTnFirstplanTmplMapper.updateTTnFirstplanTmpl(tTnFirstplanTmpl);
    }

    /**
     * 批量删除进组培训模版
     *
     * @param ids 需要删除的进组培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnFirstplanTmplByIds(Long[] ids)
    {
        return tTnFirstplanTmplMapper.deleteTTnFirstplanTmplByIds(ids);
    }

    /**
     * 删除进组培训模版信息
     *
     * @param id 进组培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnFirstplanTmplById(Long id)
    {
        return tTnFirstplanTmplMapper.deleteTTnFirstplanTmplById(id);
    }
}
